#pragma once

#include "OpenGLControl.h"

class COpenGLWinApp
{
public:
	SDL_Window * window; // Handle to application window
	COpenGLControl oglControl; // OpenGL Control

	void ResetTimer();
	void UpdateTimer();
	float sof(float fVal);

	bool CreateAppWindow(std::string sTitle);

	void AppBody();
	void Shutdown();

	void MsgHandlerMain(SDL_Event * event);

private:
	bool bAppActive; // To check if application is active (not minimized)
	unsigned int tLastFrame;
	float fFrameInterval;
};

extern COpenGLWinApp appMain;

void InitScene(void *), RenderScene(void *), ReleaseScene(void *);
void keyboard(SDL_Event *);
void MouseMotion(SDL_Event *);
